package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Nit;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface NitMapper {

    int insert(Nit record);

    int insertSelective(Nit record);

    int updateByPrimaryKeySelective(Nit record);

    int updateByPrimaryKey(Nit record);

    int deleteByPrimaryKey(Nit record);

    int deleteByIds(Collection<Object> collection);

    Nit selectByPrimaryKey(Nit record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Nit> dyncRead(Map<String, Object> dyncMap);


}